Package org.eclipse.emf.cdo.server.net4j

## Class FailoverMonitor.AgentProtocol

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.spi.net4j.Protocol<INFRA_STRUCTURE>
      - - org.eclipse.net4j.signal.SignalProtocol<java.lang.Object>
        - - org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server
          - - org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AgentProtocol

- All Implemented Interfaces:
    `org.eclipse.net4j.buffer.IBufferHandler`, `org.eclipse.net4j.ILocationAware`, `org.eclipse.net4j.protocol.IProtocol<java.lang.Object>`, `org.eclipse.net4j.protocol.IProtocol2<java.lang.Object>`, `org.eclipse.net4j.signal.ISignalProtocol<java.lang.Object>`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.security.IUserAware`
  Enclosing class:
    FailoverMonitor

      public static class FailoverMonitor.AgentProtocol
      extends org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server

  The monitor-side implementation of the `fail-over monitor` agent protocol.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FailoverMonitor.AgentProtocol.Factory` | Creates `fail-over agent protocol` instances.

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server

      `org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server.TimerInjector`

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.signal.SignalProtocol

      `org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException, org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `org.eclipse.net4j.ILocationAware.Location`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.SignalProtocol

      `COMPRESSED_STRINGS_ACKNOWLEDGE_TIMEOUT, SIGNAL_ACKNOWLEDGE_COMPRESSED_STRINGS, SIGNAL_MONITOR_CANCELED, SIGNAL_MONITOR_PROGRESS, SIGNAL_REMOTE_EXCEPTION, SIGNAL_SET_TIMEOUT`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

    - ### Fields inherited from interface org.eclipse.net4j.protocol.IProtocol2

      `UNSPECIFIED_VERSION`

    - ### Fields inherited from interface org.eclipse.net4j.signal.ISignalProtocol

      `DEFAULT_TIMEOUT, NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AgentProtocol​(FailoverMonitor.Provider failOverMonitorProvider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doDeactivate()` |
    `java.lang.String` | `getConnectorDescription()` |
    `FailoverMonitor` | `getFailoverMonitor()` |
    `java.lang.String` | `getRepositoryName()` |
    `protected void` | `indicatingStart​(org.eclipse.net4j.util.io.ExtendedDataInputStream in)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server

      `createSignalReactor, doBeforeActivate, getHeartBeatTimer, setHeartBeatTimer`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalProtocol

      `addStreamWrapper, close, doBeforeDeactivate, getStreamWrapper, getStringCompressor, getTimeout, handleBuffer, handleChannelDeactivation, isSendingTimeoutChanges, open, provideSignalReactor, setStreamWrapper, setTimeout, setTimeout, waitForSignals`

    - ### Methods inherited from class org.eclipse.spi.net4j.Protocol

      `getBufferProvider, getChannel, getExecutorService, getInfraStructure, getLocation, getType, getUserID, getVersion, isClient, isServer, setChannel, setExecutorService, setInfraStructure, setUserID`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, dump, getLifecycleState, isActive, isDeferredActivation`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

      `getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Constructor Detail

    - #### AgentProtocol

          public AgentProtocol​(FailoverMonitor.Provider failOverMonitorProvider)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.eclipse.net4j.signal.SignalProtocol<java.lang.Object>`

    - #### getFailoverMonitor

          public FailoverMonitor getFailoverMonitor()

      Since:
        4.1

    - #### getConnectorDescription

          public java.lang.String getConnectorDescription()

      Since:
        4.1

    - #### getRepositoryName

          public java.lang.String getRepositoryName()

      Since:
        4.1

    - #### indicatingStart

          protected void indicatingStart​(org.eclipse.net4j.util.io.ExtendedDataInputStream in)
                                  throws java.io.IOException

      Overrides:
        `indicatingStart` in class `org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server`
      Throws:
        `java.io.IOException`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server`
      Throws:
        `java.lang.Exception`